## ros-one-costmap-converter 0.0.13-2jammy.20251023.1127

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(costmap_converter)

# Set to Release in order to speed up the program significantly
if(NOT DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release) #None, Debug, Release, RelWithDebInfo, MinSizeRel
endif()
## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  roscpp
  std_msgs
  message_generation
  costmap_2d
  dynamic_reconfigure
  pluginlib
  cv_bridge
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)
find_package(OpenCV REQUIRED)

###set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})
###find_package(Eigen3 REQUIRED)
###set(EXTERNAL_INCLUDE_DIRS ${Eigen3_INCLUDE_DIRS})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
endif()

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  ObstacleMsg.msg
  ObstacleArrayMsg.msg
)

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
generate_messages(
   DEPENDENCIES
   geometry_msgs std_msgs
)

#add dynamic reconfigure api
#find_package(catkin REQUIRED dynamic_reconfigure)
generate_dynamic_reconfigure_options(
  cfg/dynamic_reconfigure/CostmapToPolygonsDBSMCCH.cfg
  cfg/dynamic_reconfigure/CostmapToPolygonsDBSConcaveHull.cfg
  cfg/dynamic_reconfigure/CostmapToLinesDBSMCCH.cfg
  cfg/dynamic_reconfigure/CostmapToLinesDBSRANSAC.cfg
  cfg/dynamic_reconfigure/CostmapToDynamicObstacles.cfg
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES costmap_converter
  CATKIN_DEPENDS 
    geometry_msgs
    pluginlib
    roscpp 
    std_msgs
    message_runtime 
    dynamic_reconfigure
    costmap_2d
  #DEPENDS 
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(costmap_converter   src/costmap_to_polygons.cpp 
                                src/costmap_to_polygons_concave.cpp
                                src/costmap_to_lines_convex_hull.cpp
                                src/costmap_to_lines_ransac.cpp
                                src/costmap_to_dynamic_obstacles/costmap_to_dynamic_obstacles.cpp
                                src/costmap_to_dynamic_obstacles/background_subtractor.cpp
                                src/costmap_to_dynamic_obstacles/blob_detector.cpp
                                src/costmap_to_dynamic_obstacles/multitarget_tracker/Ctracker.cpp
                                src/costmap_to_dynamic_obstacles/multitarget_tracker/Kalman.cpp
                                src/costmap_to_dynamic_obstacles/multitarget_tracker/HungarianAlg.cpp
)
target_link_libraries(costmap_converter ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})
# target_compile_features(costmap_converter PUBLIC cxx_nullptr cxx_range_for)

# Dynamic reconfigure: make sure configure headers raare built before any node using them
add_dependencies(costmap_converter ${PROJECT_NAME}_gencfg)
# Generate messages before compiling the lib
add_dependencies(costmap_converter ${PROJECT_NAME}_generate_messages_cpp)

## Declare a cpp executable
add_executable(standalone_converter src/costmap_converter_node.cpp)
target_link_libraries(standalone_converter ${catkin_LIBRARIES} )
add_dependencies(standalone_converter costmap_converter)
  
# (un)set: cmake -DCVV_DEBUG_MODE=OFF ..
option(CVV_DEBUG_MODE "cvvisual-debug-mode" ON)
if(CVV_DEBUG_MODE MATCHES ON)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DCVVISUAL_DEBUGMODE")
endif()



#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation

## Mark executables and/or libraries for installation
install(TARGETS costmap_converter
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(TARGETS standalone_converter
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   #FILES_MATCHING PATTERN "*.h"
   PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY
  cfg
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)


#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
  add_rostest_gtest(test_costmap_polygons test/costmap_polygons.test test/costmap_polygons.cpp)
  if(TARGET test_costmap_polygons)
     target_link_libraries(test_costmap_polygons costmap_converter)  
  endif()
endif()

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_drawing.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-one-costmap-converter (0.0.13-2jammy.20251023.1127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Thu, 23 Oct 2025 11:27:59 +0000

ros-one-costmap-converter (0.0.13-0jammy) jammy; urgency=high

  * Changed minimum CMake version to 3.1
  * Fixed wrong return type of method pointToNeighborCells
  * OpenCV 4 compatibility fix (Thanks to daviddudas)
  * Contributors: Christoph Rösmann, daviddudas

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Wed, 13 May 2020 00:00:00 -0000

ros-one-costmap-converter (0.0.12-0jammy) jammy; urgency=high

  * CostmapToPolygons: Simplification of the polygon by Douglas-Peucker algorithm (reduces the density of points in the polygon).
  * Bugfixes
  * Contributors: Rainer Kümmerle

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 02 Dec 2019 00:00:00 -0000

ros-one-costmap-converter (0.0.11-0jammy) jammy; urgency=high

  * rostest integration to avoid running a roscore separately for unit testing
  * Contributors: Christoph Rösmann

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sat, 26 Oct 2019 00:00:00 -0000

ros-one-costmap-converter (0.0.10-0jammy) jammy; urgency=high

  * Runtime improvements for CostmapToPolygonsDBSMCCH (#12 <https://github.com/rst-tu-dortmund/costmap_converter/issues/12>)
    * Grid lookup for regionQuery
    * use a grid structure for looking up nearest neighbors
    * parameters in a struct
    * guard the parameters by drawing a copy from dynamic reconfigure
    * Adding some test cases for regionQuery and dbScan
    * Avoid computing sqrt at the end of convexHull2
    * Add doxygen comments for the neighbor lookup
    * Change the param read to one liners
    * Add test on empty map for dbScan
  * Contributors: Rainer Kümmerle

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sat, 26 Oct 2019 00:00:00 -0000

ros-one-costmap-converter (0.0.9-0jammy) jammy; urgency=high

  * Moved plugin loader for static costmap conversion to BaseCostmapToDynamicObstacles.
    The corresponding ROS parameter static_converter_plugin is now defined in the CostmapToDynamicObstacles namespace.
  * Contributors: Christoph Rösmann

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 28 May 2018 00:00:00 -0000

ros-one-costmap-converter (0.0.8-0jammy) jammy; urgency=high

  * Standalone converter subscribes now to costmap updates. Fixes #1 <https://github.com/rst-tu-dortmund/costmap_converter/issues/1>
  * Adds radius field for circular obstacles to ObstacleMsg
  * Stacked costmap conversion (#7 <https://github.com/rst-tu-dortmund/costmap_converter/issues/7>).
    E.g., it is now possible combine a dynamic obstacle and static obstacle converter plugin.
  * Contributors: Christoph Rösmann, Franz Albers

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Thu, 17 May 2018 00:00:00 -0000

ros-one-costmap-converter (0.0.7-0jammy) jammy; urgency=high

  * Fixed some compilation issues (C++11 compiler flags and opencv2 on indigo/jade).
  * Dynamic obstacle plugin: obstacle velocity is now published for both x and y coordinates rather than the absolute value

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Wed, 20 Sep 2017 00:00:00 -0000

ros-one-costmap-converter (0.0.6-0jammy) jammy; urgency=high

  * This pull request adds the costmap to dynamic obstacles plugin (written by Franz Albers).
    It detects the dynamic foreground of the costmap (based on the temporal evolution of the costmap)
    including blobs representing the obstacles. Furthermore, Kalman-based tracking is applied to estimate
    the current velocity for each obstacle.
    **Note, this plugin is still experimental.**
  * New message types are introduced: costmap_converter::ObstacleMsg and costmap_converter::ObstacleArrayMsg.
    These types extend the previous polygon representation by additional velocity, orientation and id information.
  * The API has been extended to provide obstacles via the new ObstacleArrayMsg type instead of vector of polygons.
  * Contributors: Franz Albers, Christoph Rösmann

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 18 Sep 2017 00:00:00 -0000

ros-one-costmap-converter (0.0.5-0jammy) jammy; urgency=high

  * Major changes regarding the line detection based on the convex hull
    (it should be much more robust now).
  * Concave hull plugin added.
  * The cluster size can now be limited from above using a specific parameter.
    This implicitly avoids large clusters forming a 'L' or 'U'.
  * All parameters can now be adjusted using dynamic_reconfigure (rqt_reconfigure).
  * Some parameter names changed.
  * Line plugin based on ransac: line inliers must now be placed inbetween the start and end of a line.

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 01 Feb 2016 00:00:00 -0000

ros-one-costmap-converter (0.0.4-0jammy) jammy; urgency=high

  * Fixed conversion from map to world coordinates if the costmap is not quadratic.

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 11 Jan 2016 00:00:00 -0000

ros-one-costmap-converter (0.0.3-0jammy) jammy; urgency=high

  * The argument list of the initialize method requires a nodehandle from now on. This facilitates the handling of parameter namespaces for multiple instantiations of the plugin.
  * This change is pushed immediately as a single release to avoid API breaks (since version 0.0.2 is not on the official repos up to now).

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Wed, 23 Dec 2015 00:00:00 -0000

ros-one-costmap-converter (0.0.2-0jammy) jammy; urgency=high

  * Added a plugin for converting the costmap to lines using ransac

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Tue, 22 Dec 2015 00:00:00 -0000

ros-one-costmap-converter (0.0.1-0jammy) jammy; urgency=high



## ros-one-costmap-converter 0.0.13-2jammy.20260221.2248

=== debian/changelog ===
ros-one-costmap-converter (0.0.13-2jammy.20260221.2248) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sat, 21 Feb 2026 22:48:21 +0000

## ros-one-costmap-converter 0.0.13-2noble.20251023.1155

=== debian/changelog ===
ros-one-costmap-converter (0.0.13-2noble.20251023.1155) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Thu, 23 Oct 2025 11:55:38 +0000

ros-one-costmap-converter (0.0.13-0noble) noble; urgency=high

  * Changed minimum CMake version to 3.1
  * Fixed wrong return type of method pointToNeighborCells
  * OpenCV 4 compatibility fix (Thanks to daviddudas)
  * Contributors: Christoph Rösmann, daviddudas

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Wed, 13 May 2020 00:00:00 -0000

ros-one-costmap-converter (0.0.12-0noble) noble; urgency=high

  * CostmapToPolygons: Simplification of the polygon by Douglas-Peucker algorithm (reduces the density of points in the polygon).
  * Bugfixes
  * Contributors: Rainer Kümmerle

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 02 Dec 2019 00:00:00 -0000

ros-one-costmap-converter (0.0.11-0noble) noble; urgency=high

  * rostest integration to avoid running a roscore separately for unit testing
  * Contributors: Christoph Rösmann

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sat, 26 Oct 2019 00:00:00 -0000

ros-one-costmap-converter (0.0.10-0noble) noble; urgency=high

  * Runtime improvements for CostmapToPolygonsDBSMCCH (#12 <https://github.com/rst-tu-dortmund/costmap_converter/issues/12>)
    * Grid lookup for regionQuery
    * use a grid structure for looking up nearest neighbors
    * parameters in a struct
    * guard the parameters by drawing a copy from dynamic reconfigure
    * Adding some test cases for regionQuery and dbScan
    * Avoid computing sqrt at the end of convexHull2
    * Add doxygen comments for the neighbor lookup
    * Change the param read to one liners
    * Add test on empty map for dbScan
  * Contributors: Rainer Kümmerle

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sat, 26 Oct 2019 00:00:00 -0000

ros-one-costmap-converter (0.0.9-0noble) noble; urgency=high

  * Moved plugin loader for static costmap conversion to BaseCostmapToDynamicObstacles.
    The corresponding ROS parameter static_converter_plugin is now defined in the CostmapToDynamicObstacles namespace.
  * Contributors: Christoph Rösmann

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 28 May 2018 00:00:00 -0000

ros-one-costmap-converter (0.0.8-0noble) noble; urgency=high

  * Standalone converter subscribes now to costmap updates. Fixes #1 <https://github.com/rst-tu-dortmund/costmap_converter/issues/1>
  * Adds radius field for circular obstacles to ObstacleMsg
  * Stacked costmap conversion (#7 <https://github.com/rst-tu-dortmund/costmap_converter/issues/7>).
    E.g., it is now possible combine a dynamic obstacle and static obstacle converter plugin.
  * Contributors: Christoph Rösmann, Franz Albers

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Thu, 17 May 2018 00:00:00 -0000

ros-one-costmap-converter (0.0.7-0noble) noble; urgency=high

  * Fixed some compilation issues (C++11 compiler flags and opencv2 on indigo/jade).
  * Dynamic obstacle plugin: obstacle velocity is now published for both x and y coordinates rather than the absolute value

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Wed, 20 Sep 2017 00:00:00 -0000

ros-one-costmap-converter (0.0.6-0noble) noble; urgency=high

  * This pull request adds the costmap to dynamic obstacles plugin (written by Franz Albers).
    It detects the dynamic foreground of the costmap (based on the temporal evolution of the costmap)
    including blobs representing the obstacles. Furthermore, Kalman-based tracking is applied to estimate
    the current velocity for each obstacle.
    **Note, this plugin is still experimental.**
  * New message types are introduced: costmap_converter::ObstacleMsg and costmap_converter::ObstacleArrayMsg.
    These types extend the previous polygon representation by additional velocity, orientation and id information.
  * The API has been extended to provide obstacles via the new ObstacleArrayMsg type instead of vector of polygons.
  * Contributors: Franz Albers, Christoph Rösmann

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 18 Sep 2017 00:00:00 -0000

ros-one-costmap-converter (0.0.5-0noble) noble; urgency=high

  * Major changes regarding the line detection based on the convex hull
    (it should be much more robust now).
  * Concave hull plugin added.
  * The cluster size can now be limited from above using a specific parameter.
    This implicitly avoids large clusters forming a 'L' or 'U'.
  * All parameters can now be adjusted using dynamic_reconfigure (rqt_reconfigure).
  * Some parameter names changed.
  * Line plugin based on ransac: line inliers must now be placed inbetween the start and end of a line.

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 01 Feb 2016 00:00:00 -0000

ros-one-costmap-converter (0.0.4-0noble) noble; urgency=high

  * Fixed conversion from map to world coordinates if the costmap is not quadratic.

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 11 Jan 2016 00:00:00 -0000

ros-one-costmap-converter (0.0.3-0noble) noble; urgency=high

  * The argument list of the initialize method requires a nodehandle from now on. This facilitates the handling of parameter namespaces for multiple instantiations of the plugin.
  * This change is pushed immediately as a single release to avoid API breaks (since version 0.0.2 is not on the official repos up to now).

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Wed, 23 Dec 2015 00:00:00 -0000

ros-one-costmap-converter (0.0.2-0noble) noble; urgency=high

  * Added a plugin for converting the costmap to lines using ransac

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Tue, 22 Dec 2015 00:00:00 -0000

ros-one-costmap-converter (0.0.1-0noble) noble; urgency=high



=== debian/control ===
Source: ros-one-costmap-converter
Section: misc
Priority: optional
Maintainer: Christoph Rösmann <christoph.roesmann@tu-dortmund.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-costmap-2d, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-message-generation, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs
Homepage: http://wiki.ros.org/costmap_converter
Standards-Version: 3.9.2

Package: ros-one-costmap-converter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-costmap-2d, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-message-runtime, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs
Description: A ros package that includes plugins and nodes to convert occupied costmap2d cells to primitive types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-costmap-converter//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-costmap-converter 0.0.13-2noble.20260221.2350

=== debian/changelog ===
ros-one-costmap-converter (0.0.13-2noble.20260221.2350) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sat, 21 Feb 2026 23:50:43 +0000
